package com.pcloud.book.group.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/8/12 14:57
 **/
public class GroupCipherDTO implements Serializable {

    private static final long serialVersionUID = 4254978072223600943L;

    @ApiModelProperty("密码")
    private String cipher;

    @ApiModelProperty("分类id")
    private Long classifyId;

    @ApiModelProperty("创建人")
    private Long wechatUserId;

    @ApiModelProperty("使用人微信id")
    private String wxId;

    @ApiModelProperty("是否使用")
    private Boolean hasUsed;

    @ApiModelProperty("机器人id")
    private String altId;

    public String getCipher() {
        return cipher;
    }

    public void setCipher(String cipher) {
        this.cipher = cipher;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(Long wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    public String getWxId() {
        return wxId;
    }

    public void setWxId(String wxId) {
        this.wxId = wxId;
    }

    public Boolean getHasUsed() {
        return hasUsed;
    }

    public void setHasUsed(Boolean hasUsed) {
        this.hasUsed = hasUsed;
    }

    public String getAltId() {
        return altId;
    }

    public void setAltId(String altId) {
        this.altId = altId;
    }

    @Override
    public String toString() {
        return "GroupCipherDTO{" +
                "cipher='" + cipher + '\'' +
                ", classifyId=" + classifyId +
                ", wechatUserId=" + wechatUserId +
                ", wxId='" + wxId + '\'' +
                ", hasUsed=" + hasUsed +
                ", altId='" + altId + '\'' +
                '}';
    }
}
